Page MenuHomePhabricator

custom payment support for endowment donation form
Closed, ResolvedPublic2 Estimated Story Points

Description

text and logo bellow.

Also disable default thank you email for endowment utm_ parameters

Event Timeline

DStrine created this task.Sep 5 2018, 8:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 8:20 PM
DStrine renamed this task from custom logo and text for endowment donation form to custom payment support for endowment donation form.Sep 6 2018, 7:49 PM
DStrine updated the task description. (Show Details)
jrobell added a subscriber: jrobell.Sep 7 2018, 2:08 PM
DStrine set the point value for this task to 2.Sep 10 2018, 7:38 PM

Change 462575 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] WIP Endowment-specific financial type and no_ty

https://gerrit.wikimedia.org/r/462575

Change 462575 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Endowment-specific financial type and no_ty

https://gerrit.wikimedia.org/r/462575

Change 463409 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/core@fundraising/REL1_27] Add Wikimedia Endowment logos

https://gerrit.wikimedia.org/r/463409

Change 463411 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP override logo on certain conditions

https://gerrit.wikimedia.org/r/463411

Change 463409 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_27] Add Wikimedia Endowment logos

https://gerrit.wikimedia.org/r/463409

Change 463505 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/core@fundraising/REL1_27] Replace Endowment logos with transparent versions

https://gerrit.wikimedia.org/r/463505

Ejegg claimed this task.Sep 28 2018, 4:19 PM
Ejegg triaged this task as High priority.

Change 463505 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_27] Replace Endowment logos with transparent versions

https://gerrit.wikimedia.org/r/463505

Change 463411 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Override logo on certain conditions

https://gerrit.wikimedia.org/r/463411

OK, the logo is up - just stick &utm_medium=endowment on the end of any payments link to see it. Note that it should be sticky through the donor's session, so you might have to clear your session cookie to see the normal logo again.

Ejegg closed this task as Resolved.Oct 16 2018, 8:18 PM

Change 483632 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/core@fundraising/REL1_31] Add Wikimedia Endowment logos

https://gerrit.wikimedia.org/r/483632

Change 483633 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/core@fundraising/REL1_31] Replace Endowment logos with transparent versions

https://gerrit.wikimedia.org/r/483633

Change 483632 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_31] Add Wikimedia Endowment logos

https://gerrit.wikimedia.org/r/483632

Change 483633 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_31] Replace Endowment logos with transparent versions

https://gerrit.wikimedia.org/r/483633